summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2016-10-27 09:28:42 +0000
committerGerrit Code Review <gerrit@opnfv.org>2016-10-27 09:28:42 +0000
commit957b2c8f6569ec7454569a3767b4ee8161c092e0 (patch)
treedefb228f57ad1f1f26f7305f292ab574ea30fda8
parent2281c5aa99424b2ba4a828dccc0c67aaa4b4838c (diff)
parent0df250e187841b01e2f38e86e380e5ec2003335d (diff)
Merge "Moving custom rpm packages to dev_dep_check"
-rwxr-xr-xbuild/overcloud-full.sh17
-rw-r--r--build/variables.sh12
-rwxr-xr-xci/dev_dep_check.sh (renamed from ci/dev_deploy_check.sh)21
3 files changed, 21 insertions, 29 deletions
diff --git a/build/overcloud-full.sh b/build/overcloud-full.sh
index 218faca6..47138258 100755
--- a/build/overcloud-full.sh
+++ b/build/overcloud-full.sh
@@ -172,23 +172,6 @@ git am *.patch
popd > /dev/null
tar czf ovs.tar.gz ovs
-# Required packages to redirect stdin with virt-customize
-virt_pkg_str="./$libguestfs_pkg "
-wget $virt_uri_base/$libguestfs_pkg
-for package in ${virt_pkgs[@]}; do
- wget "$virt_uri_base/$package"
- virt_pkg_str+=" ./$package"
-done
-
-if ! sudo yum -y install ${virt_pkg_str}; then
- if [ "$(rpm -q libguestfs)" != "$(rpm -qpf $libguestfs_pkg)" ]; then
- echo "ERROR: Failed to update libguestfs"
- exit 1
- fi
-fi
-
-
-
# BUILD NSH OVS
LIBGUESTFS_BACKEND=direct virt-customize \
--upload ../build_ovs_nsh.sh:/root/ \
diff --git a/build/variables.sh b/build/variables.sh
index 6d657186..0251faf2 100644
--- a/build/variables.sh
+++ b/build/variables.sh
@@ -36,15 +36,3 @@ fdio_pkgs=(
'vpp-python-api-16.09-release.x86_64.rpm'
)
honeycomb_pkg='honeycomb-1.16.9-FINAL.noarch.rpm'
-
-virt_uri_base=https://people.redhat.com/~rjones/libguestfs-RHEL-7.3-preview
-libguestfs_pkg='libguestfs-1.32.7-3.el7.x86_64.rpm'
-virt_pkgs=(
-'libguestfs-tools-1.32.7-3.el7.noarch.rpm'
-'libguestfs-tools-c-1.32.7-3.el7.x86_64.rpm'
-'supermin-5.1.16-4.el7.x86_64.rpm'
-'supermin5-5.1.16-4.el7.x86_64.rpm'
-'supermin-helper-5.1.16-4.el7.x86_64.rpm'
-'perl-Sys-Guestfs-1.32.7-3.el7.x86_64.rpm'
-'python-libguestfs-1.32.7-3.el7.x86_64.rpm'
-)
diff --git a/ci/dev_deploy_check.sh b/ci/dev_dep_check.sh
index 0ce135ad..a15eb8b9 100755
--- a/ci/dev_deploy_check.sh
+++ b/ci/dev_dep_check.sh
@@ -51,3 +51,24 @@ easy_install-3.4 jinja2
# TODO(cgoncalves): remove once congress RPM is downloaded from upstream
easy_install-3.4 tox
+
+# Required packages to redirect stdin with virt-customize
+virt_uri_base=https://people.redhat.com/~rjones/libguestfs-RHEL-7.3-preview
+virt_pkgs=(
+'libguestfs-1.32.7-3.el7.x86_64.rpm'
+'libguestfs-tools-1.32.7-3.el7.noarch.rpm'
+'libguestfs-tools-c-1.32.7-3.el7.x86_64.rpm'
+'supermin-5.1.16-4.el7.x86_64.rpm'
+'supermin5-5.1.16-4.el7.x86_64.rpm'
+'supermin-helper-5.1.16-4.el7.x86_64.rpm'
+'perl-Sys-Guestfs-1.32.7-3.el7.x86_64.rpm'
+'python-libguestfs-1.32.7-3.el7.x86_64.rpm'
+)
+
+for pkg in ${virt_pkgs[@]}; do
+ if ! rpm -q ${pkg%-*-*}; then
+ if ! sudo yum -y install $virt_uri_base/$pkg; then
+ echo "ERROR: Failed to update $pkg"
+ fi
+ fi
+done